import RPi.GPIO as GPIO
import time

GPIO.setwarnings(False)
RESET_PIN = 23
BOOT_PIN = 17

class Reset:
    """Reset the co-processor
    """
    
    @staticmethod
    def reset_bot():
        """Reset the co-processor
        """
        GPIO.setmode(GPIO.BCM)
        GPIO.setup(RESET_PIN, GPIO.OUT)
        GPIO.setup(BOOT_PIN, GPIO.OUT)

        GPIO.output(RESET_PIN, GPIO.LOW)
        GPIO.output(BOOT_PIN, GPIO.LOW)
        time.sleep(0.1)
        GPIO.output(RESET_PIN, GPIO.HIGH)
        time.sleep(1.5)
